%define upstream_name Horde_Exception
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	2.0.4
Release:     	%mkrel 2
Summary:    	Horde Exception Handler
License:    	LGPL-2.1
Group:       	Networking/Mail
Url:         	http://pear.horde.org/package/%{upstream_name}
Source0:    	Source0: http://pear.horde.org/get/%{upstream_name}-%{version}.tgz
BuildRequires:	php-pear >= 1.4.7
BuildRequires: 	php-pear-channel-horde
Requires:    	php-pear >= 1.7.0
Requires: 	php-pear-channel-horde
Requires:	php-pear-Horde_Translation >= 2.0.0
Requires:	php-pear-Horde_Translation < 3.0.0alpha1
BuildArch:  	noarch	

%description
This class provides the default exception handlers for the Horde
Application Framework.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .

# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Horde_Exception.xml


%post
pear install --nodeps --soft --force --register-only %{xmldir}/Horde_Exception.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/Horde_Exception
fi

%files
%doc docs/Horde_Exception/*
%{peardir}/*
%{xmldir}/Horde_Exception.xml


%changelog
* Mon Oct 21 2013 umeabot <umeabot> 2.0.4-2.mga4
+ Revision: 538511
- Mageia 4 Mass Rebuild

* Tue Oct 01 2013 spuhler <spuhler> 2.0.4-1.mga4
+ Revision: 489803
- upgrade to vers. 2.0.4

* Wed Jun 05 2013 spuhler <spuhler> 2.0.3-1.mga4
+ Revision: 437409
- upgrade to ver. 2.0.3
- update Requires per upstream

* Sun Jan 13 2013 umeabot <umeabot> 1.0.8-2.mga3
+ Revision: 376463
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 28 2011 spuhler <spuhler> 1.0.8-1.mga2
+ Revision: 173310
- added %%doc docs/Horde_Exception/COPYING
- upgrade to 1.0.8

* Sun Nov 06 2011 spuhler <spuhler> 1.0.7-1.mga2
+ Revision: 164085
- upgrade to 1.0.7
-Conflicts: 	php-pear-Horde_Transtion = 2.0.0
  +Conflicts: 	php-pear-Horde_Translation = 2.0.0
-Provides:      	php-pear-Horde_Auth
  +Provides:      	php-pear- Horde_Exception = %%{version}
- imported package php-pear-Horde_Exception

